Subject: bug#16503: 24.3; make-frame's user-position doesn't work

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 01 Oct 2019 18:00:20 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Todd Allen <[email-masked]> writes:
>
>> Issuing the following expression:
>>    (make-frame '((user-position . t) (left . 100) (top . 100)))
>> creates a new frame with only a program-specified position in the
>> WM_NORMAL_HINT, instead of a user-specified position.
>>
>> I started noticing this in the emacs 24.x series, but didn't track down
>> the cause of the ultimate problem until now.  The above worked in emacs 23.x.
>
> (I'm going through old bug reports that have unfortunately gotten no
> responses yet.)
>
> I haven't looked at the low-level values passed here, but eval-ing that
> form seems to do what you'd expect -- opening a frame at 100x100 (in
> Emacs 27, at least).
>
> Has this started working again, or if not -- do you have a recipe that
> will display the bug?

More information was requested, but no response was given within six
weeks, so I'm closing this bug report.  If the problem still exists,
please reopen this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no